import { IAuthenticationMcpUsage } from "@codingame/monaco-vscode-mcp-service-override/vscode/vs/workbench/services/authentication/browser/authenticationMcpUsageService";
export declare const IAuthenticationMcpUsageService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<IAuthenticationMcpUsageService>;
export interface IAuthenticationMcpUsageService {
    readonly _serviceBrand: undefined;
    initializeUsageCache(): Promise<void>;
    hasUsedAuth(mcpServerId: string): Promise<boolean>;
    readAccountUsages(providerId: string, accountName: string): IAuthenticationMcpUsage[];
    removeAccountUsage(providerId: string, accountName: string): void;
    addAccountUsage(providerId: string, accountName: string, scopes: ReadonlyArray<string>, mcpServerId: string, mcpServerName: string): void;
}
